OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.VertexShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTVertexShader :: MonadIO m => m Bool
- gl_EXT_vertex_shader :: Bool
- gl_CURRENT_VERTEX_EXT :: GLenum
- gl_FULL_RANGE_EXT :: GLenum
- gl_INVARIANT_DATATYPE_EXT :: GLenum
- gl_INVARIANT_EXT :: GLenum
- gl_INVARIANT_VALUE_EXT :: GLenum
- gl_LOCAL_CONSTANT_DATATYPE_EXT :: GLenum
- gl_LOCAL_CONSTANT_EXT :: GLenum
- gl_LOCAL_CONSTANT_VALUE_EXT :: GLenum
- gl_LOCAL_EXT :: GLenum
- gl_MATRIX_EXT :: GLenum
- gl_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum
- gl_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT :: GLenum
- gl_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT :: GLenum
- gl_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum
- gl_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT :: GLenum
- gl_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum
- gl_MAX_VERTEX_SHADER_INVARIANTS_EXT :: GLenum
- gl_MAX_VERTEX_SHADER_LOCALS_EXT :: GLenum
- gl_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum
- gl_MAX_VERTEX_SHADER_VARIANTS_EXT :: GLenum
- gl_MVP_MATRIX_EXT :: GLenum
- gl_NEGATIVE_ONE_EXT :: GLenum
- gl_NEGATIVE_W_EXT :: GLenum
- gl_NEGATIVE_X_EXT :: GLenum
- gl_NEGATIVE_Y_EXT :: GLenum
- gl_NEGATIVE_Z_EXT :: GLenum
- gl_NORMALIZED_RANGE_EXT :: GLenum
- gl_ONE_EXT :: GLenum
- gl_OP_ADD_EXT :: GLenum
- gl_OP_CLAMP_EXT :: GLenum
- gl_OP_CROSS_PRODUCT_EXT :: GLenum
- gl_OP_DOT3_EXT :: GLenum
- gl_OP_DOT4_EXT :: GLenum
- gl_OP_EXP_BASE_2_EXT :: GLenum
- gl_OP_FLOOR_EXT :: GLenum
- gl_OP_FRAC_EXT :: GLenum
- gl_OP_INDEX_EXT :: GLenum
- gl_OP_LOG_BASE_2_EXT :: GLenum
- gl_OP_MADD_EXT :: GLenum
- gl_OP_MAX_EXT :: GLenum
- gl_OP_MIN_EXT :: GLenum
- gl_OP_MOV_EXT :: GLenum
- gl_OP_MULTIPLY_MATRIX_EXT :: GLenum
- gl_OP_MUL_EXT :: GLenum
- gl_OP_NEGATE_EXT :: GLenum
- gl_OP_POWER_EXT :: GLenum
- gl_OP_RECIP_EXT :: GLenum
- gl_OP_RECIP_SQRT_EXT :: GLenum
- gl_OP_ROUND_EXT :: GLenum
- gl_OP_SET_GE_EXT :: GLenum
- gl_OP_SET_LT_EXT :: GLenum
- gl_OP_SUB_EXT :: GLenum
- gl_OUTPUT_COLOR0_EXT :: GLenum
- gl_OUTPUT_COLOR1_EXT :: GLenum
- gl_OUTPUT_FOG_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD0_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD10_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD11_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD12_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD13_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD14_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD15_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD16_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD17_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD18_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD19_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD1_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD20_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD21_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD22_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD23_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD24_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD25_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD26_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD27_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD28_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD29_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD2_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD30_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD31_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD3_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD4_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD5_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD6_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD7_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD8_EXT :: GLenum
- gl_OUTPUT_TEXTURE_COORD9_EXT :: GLenum
- gl_OUTPUT_VERTEX_EXT :: GLenum
- gl_SCALAR_EXT :: GLenum
- gl_VARIANT_ARRAY_EXT :: GLenum
- gl_VARIANT_ARRAY_POINTER_EXT :: GLenum
- gl_VARIANT_ARRAY_STRIDE_EXT :: GLenum
- gl_VARIANT_ARRAY_TYPE_EXT :: GLenum
- gl_VARIANT_DATATYPE_EXT :: GLenum
- gl_VARIANT_EXT :: GLenum
- gl_VARIANT_VALUE_EXT :: GLenum
- gl_VECTOR_EXT :: GLenum
- gl_VERTEX_SHADER_BINDING_EXT :: GLenum
- gl_VERTEX_SHADER_EXT :: GLenum
- gl_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum
- gl_VERTEX_SHADER_INVARIANTS_EXT :: GLenum
- gl_VERTEX_SHADER_LOCALS_EXT :: GLenum
- gl_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum
- gl_VERTEX_SHADER_OPTIMIZED_EXT :: GLenum
- gl_VERTEX_SHADER_VARIANTS_EXT :: GLenum
- gl_W_EXT :: GLenum
- gl_X_EXT :: GLenum
- gl_Y_EXT :: GLenum
- gl_ZERO_EXT :: GLenum
- gl_Z_EXT :: GLenum
- glBeginVertexShaderEXT :: MonadIO m => m ()
- glBindLightParameterEXT :: MonadIO m => GLenum -> GLenum -> m GLuint
- glBindMaterialParameterEXT :: MonadIO m => GLenum -> GLenum -> m GLuint
- glBindParameterEXT :: MonadIO m => GLenum -> m GLuint
- glBindTexGenParameterEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> m GLuint
- glBindTextureUnitParameterEXT :: MonadIO m => GLenum -> GLenum -> m GLuint
- glBindVertexShaderEXT :: MonadIO m => GLuint -> m ()
- glDeleteVertexShaderEXT :: MonadIO m => GLuint -> m ()
- glDisableVariantClientStateEXT :: MonadIO m => GLuint -> m ()
- glEnableVariantClientStateEXT :: MonadIO m => GLuint -> m ()
- glEndVertexShaderEXT :: MonadIO m => m ()
- glExtractComponentEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glGenSymbolsEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m GLuint
- glGenVertexShadersEXT :: MonadIO m => GLuint -> m GLuint
- glGetInvariantBooleanvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLboolean -> m ()
- glGetInvariantFloatvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetInvariantIntegervEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetLocalConstantBooleanvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLboolean -> m ()
- glGetLocalConstantFloatvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetLocalConstantIntegervEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVariantBooleanvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLboolean -> m ()
- glGetVariantFloatvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVariantIntegervEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVariantPointervEXT :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glInsertComponentEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glIsVariantEnabledEXT :: MonadIO m => GLuint -> GLenum -> m GLboolean
- glSetInvariantEXT :: MonadIO m => GLuint -> GLenum -> Ptr a -> m ()
- glSetLocalConstantEXT :: MonadIO m => GLuint -> GLenum -> Ptr a -> m ()
- glShaderOp1EXT :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glShaderOp2EXT :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> m ()
- glShaderOp3EXT :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glSwizzleEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glVariantPointerEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr a -> m ()
- glVariantbvEXT :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVariantdvEXT :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVariantfvEXT :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVariantivEXT :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVariantsvEXT :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVariantubvEXT :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVariantuivEXT :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVariantusvEXT :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glWriteMaskEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetEXTVertexShader :: MonadIO m => m Bool

Is the EXT_vertex_shader extension supported?

gl_EXT_vertex_shader :: Bool

Is the EXT_vertex_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTVertexShader` in those cases instead.

# Enums

gl_CURRENT_VERTEX_EXT :: GLenum

gl_FULL_RANGE_EXT :: GLenum

gl_INVARIANT_DATATYPE_EXT :: GLenum

gl_INVARIANT_EXT :: GLenum

gl_INVARIANT_VALUE_EXT :: GLenum

gl_LOCAL_CONSTANT_DATATYPE_EXT :: GLenum

gl_LOCAL_CONSTANT_EXT :: GLenum

gl_LOCAL_CONSTANT_VALUE_EXT :: GLenum

gl_LOCAL_EXT :: GLenum

gl_MATRIX_EXT :: GLenum

gl_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum

gl_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT :: GLenum

gl_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT :: GLenum

gl_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum

gl_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT :: GLenum

gl_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum

gl_MAX_VERTEX_SHADER_INVARIANTS_EXT :: GLenum

gl_MAX_VERTEX_SHADER_LOCALS_EXT :: GLenum

gl_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum

gl_MAX_VERTEX_SHADER_VARIANTS_EXT :: GLenum

gl_MVP_MATRIX_EXT :: GLenum

gl_NEGATIVE_ONE_EXT :: GLenum

gl_NEGATIVE_W_EXT :: GLenum

gl_NEGATIVE_X_EXT :: GLenum

gl_NEGATIVE_Y_EXT :: GLenum

gl_NEGATIVE_Z_EXT :: GLenum

gl_NORMALIZED_RANGE_EXT :: GLenum

gl_ONE_EXT :: GLenum

gl_OP_ADD_EXT :: GLenum

gl_OP_CLAMP_EXT :: GLenum

gl_OP_CROSS_PRODUCT_EXT :: GLenum

gl_OP_DOT3_EXT :: GLenum

gl_OP_DOT4_EXT :: GLenum

gl_OP_EXP_BASE_2_EXT :: GLenum

gl_OP_FLOOR_EXT :: GLenum

gl_OP_FRAC_EXT :: GLenum

gl_OP_INDEX_EXT :: GLenum

gl_OP_LOG_BASE_2_EXT :: GLenum

gl_OP_MADD_EXT :: GLenum

gl_OP_MAX_EXT :: GLenum

gl_OP_MIN_EXT :: GLenum

gl_OP_MOV_EXT :: GLenum

gl_OP_MULTIPLY_MATRIX_EXT :: GLenum

gl_OP_MUL_EXT :: GLenum

gl_OP_NEGATE_EXT :: GLenum

gl_OP_POWER_EXT :: GLenum

gl_OP_RECIP_EXT :: GLenum

gl_OP_RECIP_SQRT_EXT :: GLenum

gl_OP_ROUND_EXT :: GLenum

gl_OP_SET_GE_EXT :: GLenum

gl_OP_SET_LT_EXT :: GLenum

gl_OP_SUB_EXT :: GLenum

gl_OUTPUT_COLOR0_EXT :: GLenum

gl_OUTPUT_COLOR1_EXT :: GLenum

gl_OUTPUT_FOG_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD0_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD10_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD11_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD12_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD13_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD14_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD15_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD16_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD17_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD18_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD19_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD1_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD20_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD21_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD22_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD23_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD24_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD25_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD26_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD27_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD28_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD29_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD2_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD30_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD31_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD3_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD4_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD5_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD6_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD7_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD8_EXT :: GLenum

gl_OUTPUT_TEXTURE_COORD9_EXT :: GLenum

gl_OUTPUT_VERTEX_EXT :: GLenum

gl_SCALAR_EXT :: GLenum

gl_VARIANT_ARRAY_EXT :: GLenum

gl_VARIANT_ARRAY_POINTER_EXT :: GLenum

gl_VARIANT_ARRAY_STRIDE_EXT :: GLenum

gl_VARIANT_ARRAY_TYPE_EXT :: GLenum

gl_VARIANT_DATATYPE_EXT :: GLenum

gl_VARIANT_EXT :: GLenum

gl_VARIANT_VALUE_EXT :: GLenum

gl_VECTOR_EXT :: GLenum

gl_VERTEX_SHADER_BINDING_EXT :: GLenum

gl_VERTEX_SHADER_EXT :: GLenum

gl_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum

gl_VERTEX_SHADER_INVARIANTS_EXT :: GLenum

gl_VERTEX_SHADER_LOCALS_EXT :: GLenum

gl_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum

gl_VERTEX_SHADER_OPTIMIZED_EXT :: GLenum

gl_VERTEX_SHADER_VARIANTS_EXT :: GLenum

gl_W_EXT :: GLenum

gl_X_EXT :: GLenum

gl_Y_EXT :: GLenum

gl_ZERO_EXT :: GLenum

gl_Z_EXT :: GLenum

# Functions

glBeginVertexShaderEXT :: MonadIO m => m ()

glBindLightParameterEXT

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `value` of type LightParameter.
-> m GLuint |

glBindMaterialParameterEXT

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `value` of type MaterialParameter.
-> m GLuint |

glBindParameterEXT

Arguments

:: MonadIO m |
=> GLenum | `value` of type `VertexShaderParameterEXT`.
-> m GLuint |

glBindTexGenParameterEXT

Arguments

:: MonadIO m |
=> GLenum | `unit` of type `TextureUnit`.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `value` of type TextureGenParameter.
-> m GLuint |

glBindTextureUnitParameterEXT

Arguments

:: MonadIO m |
=> GLenum | `unit` of type `TextureUnit`.
-> GLenum | `value` of type `VertexShaderTextureUnitParameter`.
-> m GLuint |

glBindVertexShaderEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glDeleteVertexShaderEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glDisableVariantClientStateEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glEnableVariantClientStateEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glEndVertexShaderEXT :: MonadIO m => m ()

glExtractComponentEXT

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `src`.
-> GLuint | `num`.
-> m () |

glGenSymbolsEXT

Arguments

:: MonadIO m |
=> GLenum | `datatype` of type `DataTypeEXT`.
-> GLenum | `storagetype` of type `VertexShaderStorageTypeEXT`.
-> GLenum | `range` of type `ParameterRangeEXT`.
-> GLuint | `components`.
-> m GLuint |

glGenVertexShadersEXT

Arguments

:: MonadIO m |
=> GLuint | `range`.
-> m GLuint |

glGetInvariantBooleanvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(id)` elements of type Boolean.
-> m () |

glGetInvariantFloatvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glGetInvariantIntegervEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLint | `data` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glGetLocalConstantBooleanvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(id)` elements of type Boolean.
-> m () |

glGetLocalConstantFloatvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glGetLocalConstantIntegervEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLint | `data` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glGetVariantBooleanvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(id)` elements of type Boolean.
-> m () |

glGetVariantFloatvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glGetVariantIntegervEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr GLint | `data` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glGetVariantPointervEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type `GetVariantValueEXT`.
-> Ptr (Ptr a) | `data` pointing to `COMPSIZE(id)` elements of type `Ptr a`.
-> m () |

glInsertComponentEXT

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `src`.
-> GLuint | `num`.
-> m () |

glIsVariantEnabledEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `cap` of type `VariantCapEXT`.
-> m GLboolean | of type Boolean.

glSetInvariantEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type `ScalarType`.
-> Ptr a | `addr` pointing to `COMPSIZE(id,type)` elements of type `a`.
-> m () |

glSetLocalConstantEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type `ScalarType`.
-> Ptr a | `addr` pointing to `COMPSIZE(id,type)` elements of type `a`.
-> m () |

glShaderOp1EXT

Arguments

:: MonadIO m |
=> GLenum | `op` of type `VertexShaderOpEXT`.
-> GLuint | `res`.
-> GLuint | `arg1`.
-> m () |

glShaderOp2EXT

Arguments

:: MonadIO m |
=> GLenum | `op` of type `VertexShaderOpEXT`.
-> GLuint | `res`.
-> GLuint | `arg1`.
-> GLuint | `arg2`.
-> m () |

glShaderOp3EXT

Arguments

:: MonadIO m |
=> GLenum | `op` of type `VertexShaderOpEXT`.
-> GLuint | `res`.
-> GLuint | `arg1`.
-> GLuint | `arg2`.
-> GLuint | `arg3`.
-> m () |

glSwizzleEXT

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `in`.
-> GLenum | `outX` of type `VertexShaderCoordOutEXT`.
-> GLenum | `outY` of type `VertexShaderCoordOutEXT`.
-> GLenum | `outZ` of type `VertexShaderCoordOutEXT`.
-> GLenum | `outW` of type `VertexShaderCoordOutEXT`.
-> m () |

glVariantPointerEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type `ScalarType`.
-> GLuint | `stride`.
-> Ptr a | `addr` pointing to `COMPSIZE(id,type,stride)` elements of type `a`.
-> m () |

glVariantbvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLbyte | `addr` pointing to `COMPSIZE(id)` elements of type `GLbyte`.
-> m () |

glVariantdvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLdouble | `addr` pointing to `COMPSIZE(id)` elements of type `GLdouble`.
-> m () |

glVariantfvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLfloat | `addr` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glVariantivEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLint | `addr` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glVariantsvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLshort | `addr` pointing to `COMPSIZE(id)` elements of type `GLshort`.
-> m () |

glVariantubvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLubyte | `addr` pointing to `COMPSIZE(id)` elements of type `GLubyte`.
-> m () |

glVariantuivEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLuint | `addr` pointing to `COMPSIZE(id)` elements of type `GLuint`.
-> m () |

glVariantusvEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLushort | `addr` pointing to `COMPSIZE(id)` elements of type `GLushort`.
-> m () |

glWriteMaskEXT

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `in`.
-> GLenum | `outX` of type `VertexShaderWriteMaskEXT`.
-> GLenum | `outY` of type `VertexShaderWriteMaskEXT`.
-> GLenum | `outZ` of type `VertexShaderWriteMaskEXT`.
-> GLenum | `outW` of type `VertexShaderWriteMaskEXT`.
-> m () |